+++
title = "SEO常用工具是什麼？？"
date = "2021-11-23T13:39:46+02:00"
tags = ["seo"]
categories = ["trends"]
banner = "https://www.designbombs.com/wp-content/uploads/2017/02/make-a-website-1280x720.jpg"
+++

## SEO常用工具是什麼？？

作為一個常用SEO協助工具文，我會盡可能爆 SEO 工具清單。

但是除此之外，正確使用 SEO工具、正確理解工具，比起你實際使用什麼 SEO工具、SEO外掛還重要。

所以文章中會先討論一下使用 SEO 工具的心態、為什麼要做SEO工具的心態、原因、脈絡，以讓你更加清楚及可以自己思考需要哪些 SEO 工具還有要如何使用。

若是你對seo已經相當熟悉，便可以直接看後面的 SEO 工具介紹，嘗試看看是否有取得一兩個新工具。

如果你是新手，可以看看關於seo的種種，或許能讓你更加知道 SEO 工具該如何應用，也減少seo的分數焦慮。

#### 為什麼需要 SEO 工具？
為什麼需要掌握 SEO 工具？

熟用這些 SEO 工具，能讓一個 SEO 人的執行效率有天翻地覆的變化，有點像是 EXCEL 的公式吧（好比 vlookup），你不用也可以，但所花的時間可能不只 10 倍之多，還容易出錯。

好比說，查詢 SERP 排名這件事情，就分成幾個程度：

Lv1：開無痕模式，一次看 10 名，要翻好幾頁慢慢找自己的排名（要自己數排名）
Lv2：開無痕模式，調整搜尋結果數變成 100 個，一次看前 100 名的排名（要自己數排名）
Lv3：開無痕模式，調整搜尋結果數變成 100 個，一次看前 100 名的排名，利用免費的 SEOquake 一次看左邊的排名數字（不用數）
Lv4：用 Ahrefs 等「付費」排名工具，一次看上百個關鍵字的爬名（不用數），但要評估該工具準不準
我覺得一個資訊充足的 SEO 人，至少要到 Lv3，因為 Lv1 真的很慢、會大幅傷害的你的工作效率。

（好啦，如果你的網站關鍵字排名都在前 5 名，很快就查到，那我覺得沒問題）

今天這份工具清單，就是要幫助大家成為一個更有效率的 SEO 人，把時間花在對的地方。

SEO 的工具真的太多了，可能有超過 1,000 個以上吧，好用的應該也超過 200 個，簡直比 Google 的 Rank Factor 還要多。（畢竟不少 SEO 公司都踏上了自建工具的道路）

面對這麼多工具，你完完全全沒必要研究完所有的 SEO 工具，這一點意義都沒有，除非你的工作就是研究員。

相對的，你只需要根據你的需求，去研究市場上「足夠好」的方案就好了。

好比說，剛入門的時候我想要找搜尋結果的模擬器（SERP simulator），後來我看了五六款工具，找到了一款我自己視覺上最喜歡、用起來也最順手的 serp snippet optimizer。

沒錯，光是 SERP simulator 其實都有十幾個，顯然你不需要研究完這麼多工具才能做事，你只要找到一兩個自己喜歡、好看、成本合宜的就夠了。
那麼要怎麼做到前面提到的「根據自身需求去尋找解決方案呢」？

答案不意外，就是好好 Google。

我們做 SEO 的人，一定要有很好的搜尋能力，不然也太愧對自己的專業了。

所以當你今天你碰到一個問題，你隱約覺得：「天啊，這種事情真的是人類該幹的嗎？應該會有更好的做法吧！」，像是計算排名、計算 title 長度等等。

此時你就可以用「英文」去搜尋 SERP simulator、seo title tool、seo title calculate，多換幾組不一樣的字詞，很大的機率就能找到合適的工具或使用技巧。

我自己很多受用無窮的 SEO 工具，也是這樣慢慢找出來的。

如果研究完市場上的多數解決方案，發現這個問題還是無法解決，那我們也能心甘情願的乖乖幹下去了，至少我們研究過了。

### 4\. SEO 工具可能沒問題，只是我們不會用

此外，當你發現某個 SEO 工具使用起來卡卡的，但你又隱約覺得這個工具應該是很好用、或是大家都說很好用，但我們卻認為很難用的時候，那我會建議你可以針對該工具去找找看專門的教學文。

有一些 SEO 工具沒什麼學習曲線、應用面也很窄，好比：SERP simulator、no follow 工具，大概你看個三分鐘就會用了。

但像是 Screaming Frog、Ahrefs，想要完整了解功能，就需要花一點力氣研究。

好在網路上好心人很多，你只要針對單一工具去搜尋，總能找到很多友善詳細的教學文。

我想強調的是，如果研究後你選擇的某個 SEO 工具不好用，有時候不要太快放棄它，給它 3 篇教學文的機會，或許你能撿回一個相見恨晚的好工具。

### 5\. SEO 工具需注意地區支援與否

選擇 SEO 工具時，也要特別注意地區是否支援，這點對於台灣 SEO 人特別重要，畢竟我們只是個小市場，全球用繁體中文的人屈指可數。

好比說，一些 SEO 工具如 Raven、SEMrush 並不支援台灣地區，因此在一些排名監測、關鍵字研究就會無法使用，這樣就很可惜。

不過如果工具的功能很單純，像是看看網站架構、網站速度，通常就沒有語系或地區的問題。

還有一個重點，也是經常在 SEO 社群看到的狀況。那就是許多朋友會問：我裝了某某 SEO 外掛、SEO 工具，為何成效沒有起來 QQ？（尤其是 WordPress 外掛）

原因很簡單，SEO 工具的目標是幫助我們「更輕鬆的發現問題」，又或是「相對容易的完成某些設定」。

然而，要做好 SEO 這樣卻還遠遠不夠。

SEO 關鍵字研究工具，能幫助你很迅速的找出大量的關鍵字，但要怎麼評估搜尋意圖、挑選對品牌有價值的關鍵字，終究要你自己來做。

SEO 網站建檢工具，幫助你挑出來 50 個你網站的大小 SEO 毛病，但要真的能治病，你還是需要跟網站工程師一起努力，把這些問題的影響降到最低。

以業界知名的 SEO 網站建檢工具 Screaming Frog 來說，如果一個對 SEO 知識較有掌握的人，一看到他跑出來的報表跟分析，會非常驚喜，認為有這樣的工具真是太好了！

但對於一個只想花錢了事、對 SEO 一無所知的人來說，拿到 Screaming Frog 可能很讓人失望，因為它看不懂跑出來的 title 過短、H1 重複、網站架構問題，更遑論要解決這些問題了。

有好的廚具，還需要有懂料理的大廚來烹調，SEO 工具也是相同的道理。

類別：網站健檢必備
---------

### Screaming Frog（免費／付費）

工具連結：[https://www.screamingfrog.co.uk/seo-spider/](https://www.screamingfrog.co.uk/seo-spider/)

大名鼎鼎的 Screaming Frog 是多數做 SEO 都聽過的網站技術分析工具，而且價格非常佛心，一年約莫 6,000 元台幣，相較於其他工具來說非常的便宜。

Screaming Frog 的使用範疇是網站架構、檢視孤島頁面、Title、Description、H1、網址結構、全站網址爬取、HTTP 狀態碼……etc。

如果你今天要做網站的 SEO 技術分析，十分建議你可以摸摸 Screaming Frog，另外 Screaming Frog 有免費試用版，推薦你可以嘗試看看。



***

**其他網站建檢工具**

如果要做網站的技術健檢（site audit），一些綜合性工具也能做到，像是 Ahrefs、SEMrush、Awoo…etc。

而免費的 Google Search Console 自然也是做網站技術分析必不可少的工具。

### Google Search Console（免費）

工具連結：[https://search.google.com/search-console/about](https://search.google.com/search-console/about)


***

### Lighthouse（免費）

工具連結：[https://developers.google.com/web/tools/lighthouse/?hl=zh-tw](https://developers.google.com/web/tools/lighthouse/?hl=zh-tw)

Lighthouse 是蠻有名的 SEO 工具，可以跑出一些乍看有點 Fancy 的報表，做為頁面 SEO 分析使用。

官方說明：「Lighthouse 是一個開源的自動化工具，用於改進網絡應用的質量。您可以將其作爲一個 Chrome 擴展程序運行，或從命令行運行。您為 Lighthouse 提供一個您要審查的網址，它將針對此頁面運行一連串的測試，然後生成一個有關頁面性能的報告。」

很多人熱愛 Lighthouse 是因為它有明確的數字，像是 SEO 是 90/100 分，就會很開心，這不能理解。

但我個人實務經驗中，這個分數跟網站的實際表現沒有太大關係，比較少用，主要是拿來看看網站技術面有什麼改善點。



***

### PageSpeed Insight（免費）

工具連結：[https://developers.google.com/speed/pagespeed/insights/?hl=zh-TW](https://developers.google.com/speed/pagespeed/insights/?hl=zh-TW)

Pagespeed Insight 是很有名的網站測速工具，做為網站檢測的入門工具相當實用。

***

### 行動裝置相容性測試工具（免費）

工具連結：[https://search.google.com/test/mobile-friendly?hl=zh-tw](https://search.google.com/test/mobile-friendly?hl=zh-tw)

手機版對於現在行銷、SEO、網站體驗相當重要，而要如何檢測自己的手機版符合規範，此時就能靠手機相容性測試工具。

你也能透過 Google Search Console 的「行動裝置可用性欄位」，來獲得手機相容性的相關資訊。

***

### 複合式搜尋結果測試：結構化資料分析工具（免費）

工具連結：[https://search.google.com/test/rich-results](https://search.google.com/test/rich-results)

想要測試結構化資料是否正確嗎？這個「複合式搜尋結果測試」可以幫助你。

你也利用 Google Search Console 的「強化項目」，來看結構化資料的相關內容


***

類別：網站程式分析工具
-----------

如果你今天在代理商，需要分析很多不同客戶的網站，以下兩個工具可以幫助觀察這個網站是用什麼程式建立。

### Wappalyzer（免費）

工具連結：[https://chrome.google.com/webstore/detail/wappalyzer/gppongmhjkpfnbhagpmjfkannfbllamg](https://chrome.google.com/webstore/detail/wappalyzer/gppongmhjkpfnbhagpmjfkannfbllamg)

### BuiltWith Technology Profiler（免費）

工具連結：[https://chrome.google.com/webstore/detail/builtwith-technology-prof/dapjbgnjinbpoindlpdmhochffioedbn](https://chrome.google.com/webstore/detail/builtwith-technology-prof/dapjbgnjinbpoindlpdmhochffioedbn)

***

類別：關鍵字研究工具
----------

關於關鍵字研究工具，顧名思義就是幫助你產出大量的關鍵字的輔助工具。

另外關鍵字研究也是最容易碰到語系問題的工具之一，如果要付費，務必要先測試或研究看看支不支援中文。

有以下清單供各位使用。

### Keyword.io（免費／付費）

工具連結：[https://keywordtool.io/](https://keywordtool.io/)

這款免費就很夠用了，付費價格有點高，我覺得可以去買 Ahrefs。

### Google Keyword Planner（免費／付費，必備）

工具連結：[https://ads.google.com/](https://ads.google.com/)



### Ahrefs（付費，綜合性工具）

工具連結：[https://ahrefs.com](https://ahrefs.com/)

關於詳細的關鍵字研究要如何進行，歡迎參考這篇，裡面還介紹了很多額外做關鍵字研究的方法跟工具。

《[關鍵字策略終極指南（上）：10 組工具擊破「關鍵字搜尋」與「關鍵字研究」](https://frankchiu.io/seo-keyword-research-1/)》

> [關鍵字策略終極指南（上）：10 組工具擊破「關鍵字搜尋」與「關鍵字研究」](https://frankchiu.io/seo-keyword-research-1/)

***

類別：排名追蹤
-------

SEO 中排名追蹤是非常重要的功課，也是最常見的 SEO KPI 之一。然而，排名追蹤卻是 SEO 工作中最讓人煩躁的工作之一。

下面介紹的 SEOquake 可以讓我們比較快看到單一關鍵字的排名，但這樣真的也是蠻沒效率的。

所以如果網站主、SEO 人員有定期要更新排名報表的話，如果有付費的排名工具來協助，會大有幫助。（當然，請個工讀生來查詢排名也是個方法）

### Google Search Console（免費）

工具連結：[https://search.google.com/search-console/about](https://search.google.com/search-console/about)

要注意 GSC 只能追蹤自己已經有的關鍵字排名

### Ahrefs（付費，綜合性工具）

工具連結：[https://ahrefs.com](https://ahrefs.com/)

### Awoo 球來就打（付費，綜合性工具）

工具連結：[https://www.awoo.org/intro/poa](https://www.awoo.org/intro/poa)

以我個人來說，一般中小的品牌主，需要追蹤的關鍵字都沒那麼多，其實偶爾購買一下排名工具、對照一下 GSC、請工讀生手動修正一下，未必要花大錢買排名工具，但還是看個人需求吧。

另外要提醒，在我的經驗中排名工具是最容易出 bug、也容易因為地區關係產生問題的工具，所以定期用無痕模式做偵錯，相當必要。（尤其是你覺得排名差異太大的時候，更建議要這樣做）

***

類別：反向連結工具
---------

反向連結是最需要 SEO 工具的檢測項目之一，也是幾乎無法靠人力來彌補的工具，因為你需要的是整個網路大海的資料。

另一方面，Google Search Console 的反向連結真的陽春，只能做大概的參考，所以透過反向連結工具就相當必要了。

以下工具都能幫助我們尋找到反向連結。

### Google Search Console（免費）

工具連結：[https://search.google.com/search-console/about](https://search.google.com/search-console/about)

### Ahrefs（付費，最推薦）

工具連結：[https://ahrefs.com](https://ahrefs.com/)

### Majestic（免費／付費）

工具連結：[https://zh.majestic.com/](https://zh.majestic.com/)

### Moz Link Explorer（免費／付費）

工具連結：https://moz.com/link-explorer


> [反向連結（BACKLINK）入門教學：一次搞懂反向連結定義與重要性](https://frankchiu.io/seo-backlink-intro/)

此外，你應該也能發現為何很多人都很愛 Ahrefs，因為網站建檢、關鍵字研究、反向連結分析都能幫上忙，真的是一個很強大的綜合性工具。
