+++
title = "如何提高SEO排名？？"
date = "2021-11-23T13:39:46+02:00"
tags = ["seo"]
categories = ["trends"]
banner = "https://www.designbombs.com/wp-content/uploads/2017/02/make-a-website-1280x720.jpg"
+++

## 如何提高SEO排名？

常常有人問，原本網站排名從第一頁掉到第二或三頁，甚至掉到完全看不見應該怎麼辦？關鍵字排名掉落的原因非常多，最重要的是先找出可能的原因再針對問題進行SEO調整才能改善問題。

  
排名掉了的緣由有哪一些呢？
--------------

### 搜尋引擎的演算法的更新及改變

Google有一個專屬團隊，每天都在研究演算法，演算法持續在更新以及調整，目的就是要讓搜尋引擎可以更貼近人類的思維，讓使用者可以透過搜尋字詞，可以幫助人們透過搜尋引擎找出真正「有價值且想要的內容」，所以Google的演算法一直都在改變中，Google的演算法並不會公諸於世，演算法大改的時候就會產生劇烈的排名變化，這時部分網站就會有產生極大的風險，這時候原本依賴Google舊演算法邏輯的網站就會有排名掉落的可能，尤其是用黑帽操作的SEO會發生嚴重的掉落。


#####   Google 於2021年6月更改演算法
Google 預告會在 2021 年將「網頁體驗更新 (Page Experience Update)」列入 Google 排名演算法之中。
近期宣布將延後網頁體驗演算法的更新時間到2021年六月中旬，並且新增了網站管理員(Google Search Console) 網頁體驗報告，也增加了其他演算法細節。

###   
網站做一些變動或更新

網站改版，由於內容改變是一定會造成關鍵字掉落的，如果網站有大改卻沒有告知Google網站有改變一樣會掉排名，如何告知Google？方法包含301轉址、重複內容及語法、設定網址更換…都可以用語法告訴Google網站有改內容，網站即使做了較小幅度的內容修改，包含：版型調整、功能位置變換、網站動線改變、圖文內容修改，還是有機會造成關鍵字掉排名，只要有改內中都應該隨時觀察網站的流量數據變化。  


###   
競爭對手上升

網站關鍵字時常會有所更動，排第一頁不會是永遠的第一頁，排第二頁不會是永遠的第二頁，排後面的不會是永遠是排後面，當你什麼都不做也不關心競爭對手的近期動向，關鍵字也會逐漸地從第一頁下滑至第二頁，甚至掉到第三頁，越競爭的關鍵字越要戰戰兢兢，隨時隨地做好備戰準備，要把「被超越的門檻拉高」，SEO排名因素越堅強的網站越有機會站穩排名。


###   
排名被自身網頁取代

有時候網頁排名掉了不是被別人的內容給超越，而是被自己網站的其他網頁給取代了，因為Google不太會同時收錄同一個網站兩個相似的網頁，如果有兩個類似的網頁Google會捨棄其中一個，Google只會讓其中一個網頁排進關鍵字列表，所以有時一網頁排名乍看掉了，但是另一個網頁卻以同一個字排上了，而這樣是好的結果還是不好的結果呢？當然是不好，這即是因為沒有做好SEO策略及做法讓同一個網站的兩個頁面互相干擾，只有做好SEO策略才能更有效率的排名，及取得高排名增加曝光度，避免亂槍打鳥。  


###   
網站速度突然變慢

網站點擊後回應感覺變慢、網站速度測試後分數變低、網站代管的網路頻寬斷斷續續、網站常常連不上，如果網站有以上的速度問題，可以用Google PSI測試網站，確認一下網站目前狀況是不是正常，因為網站速度是影響排名的重要關鍵因素，網站速度變差會影響使用者閱讀意願，也會影響網站排名，網站速度影響排名的程度將一年比一年大。  


###   
潮流或是時勢造成的排名掉落

排名不是只有看少數幾組關鍵字，而是看整個網站的權重，假設是賣春節禮盒的網站，只要過年春節一過，像是「春節禮盒」、「春節送禮」、「春節伴手禮」…這些關鍵字的搜尋量會大幅減少，如果賣以春節禮盒為主的網站沒有其他關鍵字可以撐住網站流量，那麼春節只要一過完網站自然流量大降，排名比較後面的其他競爭網站的排名就會提升，因為別的競爭網站有可以掌握流量的關鍵字，競爭網站的排名就會反超過這個網站，所以觀察網站千萬不要只看局部少數的關鍵字，要整個網站執行SEO讓網站提高權重，以免過度依賴少數幾個關鍵字，一但關鍵字向後掉落就會反映出訂單的落差。

  
排名落後該做些什麼呢？
---------------

### 善用網站數據像是工具找出排名掉落的時間點並且分析原因

無論是什麼原因都要先找出網站排名什麼時間點掉了，可以透過Google Analytics及Search Console交叉比對去找出掉排名的時間點，可以先用Analytics選擇長一點的時間軸，然後觀察每一個單頁的自然流量是不是有明顯的減少，然後再透過Search Console(SC)去觀察這一頁的關鍵字排名的起落，除了GA跟SC以外也可以用Moz、Ahrefs之類的工具直接找出掉落的時間點，但Moz、Ahrefs是收費的軟體，沒有預算購買的朋友，透過Google工具還是比較適合，先找掉排名的時間點才能推估可能的問題。  

###   
檢查網頁是否在Google收錄索引中？

有時候找不到排名是因為網頁根本不在Google的收錄索引中了，檢查的方法有兩種，一種就是直接把網址貼到搜尋框進行搜尋，如果搜尋沒有結果就是沒有收錄，另一種是使用Search Console直接輸入網址進行索引檢查，前者只能知道沒有被收錄，後者可以知道沒有被收錄的原因，包含重複網站內容、不符合行動裝置、違反Google規定…等，假設不在收錄索引中，就要排除問題重新提交網頁(Sitemap)讓Google收錄。  
  


###   
Google演算法是否有更新？

依照掉落的時間去查看看Google是不是有發表新的演算法規則，雖然演算法影響排名是很重要的因素，但是Google通常都會先預告要改變演算法，不會馬上直接啟用，會經過一陣子才會實行，所以只要時時觀察Google的官方消息是不太會這麼突然掉排名的。

###   
重新檢查整個網站架構

網站架構包含：網站分數是否正常？網站速度是否變慢？ 圖片是否過大？重複內容標籤是否正確指定？網站內外部連結是否斷裂？是不是有不當的使用轉址？H1~H3標籤是否正確使用？是否有做資料化結構？圖片是否標記alt標籤？網站網址是否優化？…網站架構完整優化不代表排名就不會掉，但每一個影響排名的可能都不應該放過。  


###   
重新檢查整個網站內容

Google越來越重視網站的內容品質，所以排名掉了很有可能出現在內容上面，比起網站架構更應該調整網站內容進行「二度優化」，先觀察跟自己網站排名相仿的數個網站內容是不是有明顯的內容差異？檢視一下自己網站內容是不是還有可以補充或者強化的地方？或網站內容流於形式而不夠吸引人？這時候可以重新撰寫或是改寫、補充網站內容，重新提交網站，切記網站內容要有「被人參考」的價值，才能有效降低跳出率，提升網站停留率。  


###   
合理的增加外部連結的數量

可以在更多的地方增加外部連結與曝光，無論該連結是不是可以帶來權重都應該進行外連的宣傳，像是臉書、Google我的商家、外面部落格、EDM…可以進行網站宣傳的工作都不要放棄。  


###   
設定自然流量流失預警

有辦法預先知道自然流量流失嗎？可以的，我們可以在Google Analytics(GA)設定「自訂快訊」功能，自訂快訊可以設定當自然流量下滑的時候以email通知你，讓你提早發現自然流量下滑，可以早一點做出預防措施，自訂快訊可以設定多組，可以針對需要監測不一樣數據，只要數據達到設定的標準，都會以Email通知你數據已經變化。  
  

####   
結論

網站排名向下掉固然會造成網站自然流量流失，進而影響網站轉換的訂單及詢問狀況，雖然這是一件相當需要立即處理的事，遇到的時候先不要慌張，先釐清原因最為重要，除了之前設定Google預警的「自訂快訊」進行預知流量流失以外，我們平常就要有使用多關鍵字模式進行網站的SEO策略，不要只將重心放在一些特定的關鍵字上，要以多個管道及方法進行數位行銷，如果真的排名向下掉，要先找出排名掉落的時間點找出網站是不是做了什麼變動，或者是Google演算法變了、時勢因素、網站速度、內容因素、競爭對手趕上…等，然後針對歸納出來的可能因素進行網站調整。
